package com.fastest.pass.browse.di

import com.fastest.pass.browse.utils.BrowseNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object BrowseModule {

    @Provides
    @Singleton
    fun provideNavigation() : BrowseNavigation {
        return BrowseNavigation()
    }
}