package com.fastest.pass.dashboard.presentation.ui.fragment

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.navigationBarsPadding
import androidx.compose.ui.Modifier
import androidx.compose.ui.platform.ComposeView
import androidx.compose.ui.res.colorResource
import com.fastest.pass.app.BaseFragment
import com.fastest.pass.R
import com.fastest.pass.dashboard.presentation.ui.component.BottomTab
import com.fastest.pass.ui.theme.FastestPassTheme

class DashboardFragment : BaseFragment() {

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        return ComposeView(requireActivity()).apply {
            setContent {
                FastestPassTheme {
//                    Scaffold(
//                        modifier = Modifier.fillMaxSize(),
//                    ) { paddingValues ->
//                        Box(
//                            modifier = Modifier
//                                .fillMaxSize()
//                                .background(color = colorResource(id = R.color.home_background_color))
//                                .padding(bottom = paddingValues.calculateBottomPadding()) // Apply padding to respect system bottom inset
//                        ) {
//                            BottomTab()
//                        }
//                    }

                    Box(
                        modifier = Modifier
                            .fillMaxSize()
                            .background(color = colorResource(id = R.color.blue_login))
                            .navigationBarsPadding()
                    ) // Apply padding to respect system bottom inset
                     {
                        BottomTab()
                    }
                }
            }
        }
    }
}