package com.fastest.pass.home.di

import com.fastest.pass.home.utils.HomeNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object HomeModule {

    @Provides
    @Singleton
    fun provideNavigation() : HomeNavigation {
        return HomeNavigation()
    }
}