package com.fastest.pass.signup.di

import com.fastest.pass.signup.utils.SignUpNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object SignUpModule {

    @Provides
    @Singleton
    fun provideNavigation(): SignUpNavigation {
        return SignUpNavigation()
    }
}