package com.fastest.pass.splash.di

import com.fastest.pass.splash.utils.SplashNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object SplashModule {

    @Provides
    @Singleton
    fun provideNavigation(): SplashNavigation {
        return SplashNavigation()
    }

}