package com.fastest.pass.account.di

import com.fastest.pass.account.utils.AccountNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object AccountModule {

    @Provides
    @Singleton
    fun provideNavigation() : AccountNavigation {
        return AccountNavigation()
    }
}