package com.fastest.pass.home.di

import com.fastest.pass.home.utils.AddNewItemsNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object AddNewItemModule {

    @Provides
    @Singleton
    fun provideNavigation() : AddNewItemsNavigation {
        return AddNewItemsNavigation()
    }
}