package com.fastest.pass.home.di

import com.fastest.pass.home.utils.NewItemFormNavigation
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import javax.inject.Singleton

@Module
@InstallIn(SingletonComponent::class)
object NewItemFormModule {

    @Provides
    @Singleton
    fun provideNavigation() : NewItemFormNavigation {
        return NewItemFormNavigation()
    }
}