package com.fastest.pass.login.data.repository

import com.fastest.pass.app.WebResponse
import com.fastest.pass.login.data.model.LoginRequest
import com.fastest.pass.login.data.model.LoginResponse
import com.fastest.pass.login.data.remote.LoginApiService
import com.fastest.pass.login.domain.repository.LoginRepository
import javax.inject.Inject

class LoginRepositoryImpl @Inject constructor(
    private val loginApiService: LoginApiService
) : LoginRepository {

    override suspend fun loginRepository(loginRequest: LoginRequest): WebResponse<LoginResponse> {
        return loginApiService.login(loginRequest)
    }

}